DomainClassMarshaller (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.converters.marshaller.xml
[Java] Class DomainClassMarshaller

    java.lang.Object
      org.codehaus.groovy.grails.web.converters.marshaller.IncludeExcludePropertyMarshaller
          org.codehaus.groovy.grails.web.converters.marshaller.xml.DomainClassMarshaller

    public class DomainClassMarshaller
    extends IncludeExcludePropertyMarshaller

Object marshaller for domain classes to XML

Authors:
  Siegfried Puchbauer
  Graeme Rocher

Since:
  1.1

Field Summary
`protected GrailsApplication` | `application`
`protected boolean` | `includeVersion`
`protected ProxyHandler` | `proxyHandler`

Constructor Summary
`DomainClassMarshaller(GrailsApplication application)`
`DomainClassMarshaller(boolean includeVersion, GrailsApplication application)`
`DomainClassMarshaller(boolean includeVersion, ProxyHandler proxyHandler, GrailsApplication application)`

Method Summary
`protected void` | `asShortObject(java.lang.Object refObj, XML xml, GrailsDomainClassProperty idProperty, GrailsDomainClass referencedDomainClass)`
`protected boolean` | `isRenderDomainClassRelations()`
`void` | `marshalObject(java.lang.Object value, XML xml)`
`protected boolean` | `shouldInitializeProxies()`
`boolean` | `supports(java.lang.Object object)`

Methods inherited from class IncludeExcludePropertyMarshaller
excludesProperty, includesProperty, shouldInclude

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### application

    protected GrailsApplication application

### includeVersion

    protected final boolean includeVersion

### proxyHandler

    protected ProxyHandler proxyHandler

Constructor Detail

### DomainClassMarshaller

    public DomainClassMarshaller(GrailsApplication application)

### DomainClassMarshaller

    public DomainClassMarshaller(boolean includeVersion, GrailsApplication application)

### DomainClassMarshaller

    public DomainClassMarshaller(boolean includeVersion, ProxyHandler proxyHandler, GrailsApplication application)

Method Detail

### asShortObject

    protected void asShortObject(java.lang.Object refObj, XML xml, GrailsDomainClassProperty idProperty, GrailsDomainClass referencedDomainClass)

### isRenderDomainClassRelations

    protected boolean isRenderDomainClassRelations()

### marshalObject

    @java.lang.SuppressWarnings({ "unchecked", "rawtypes" })
    public void marshalObject(java.lang.Object value, XML xml)

### shouldInitializeProxies

    protected boolean shouldInitializeProxies()

### supports

    public boolean supports(java.lang.Object object)

Groovy Documentation